## NAME

s.in.dbf - Imports a dBase (.dbf) table of site locations and their descriptions into a GRASS site list file.
(GRASS Sites Import Program)

## SYNOPSIS

s.in.dbf
s.in.dbf help
s.in.dbf [-lz] input=name [sites=name] [date=timestamp[,timestamp]]

## DESCRIPTION

s.in.dbf converts a dBase (.dbf) table of site locations and category labels into a file in GRASS site list file format.

Input can be entered from the file input=name. Each line of input should contain the easting, northing, and (optionally) the category label associated with a site. Output is stored in the file sites=name and placed in the site_lists directory under the user's current mapset.

### Flags:

-l
  List fields (including the field types and field widths) of DBF file, then exit.
-z
  treat third column as third dimension (z)

### Parameters:

input=name
  Name of an existing ASCII file containing site locations and labels.
sites=name
  Name of the new GRASS site list file to be output.
date=timstamp[,timstamp]
  date/time stamp or date1,date2 range

s.in.dbf can be run either non-interactively or interactively. The program will be run non-interactively if the user specifies a name to be assigned to the sites file output, the name of an existing ASCII file containing input.

Alternately, the user can simply type s.in.dbf on the command line, without program arguments. In this case, the user will be prompted for parameter values using the standard GRASS parser interface described in the manual entry for parser.

## GRASS 5.0 internal sites format in "sites_list/"

See s.in.ascii

## TODO

A field selection/reordering parameter is not yet provided. So the EAST/NORTH columns have to be the first and second column in the table.

## SEE ALSO

s.in.ascii
s.out.shape
s.out.ascii
parser

## AUTHORS

Markus Neteler, University of Hannover
Alex Shevlakov (pg.in.dbf)
Frank Warmerdam (DBF Routines in pg.in.dbf)
David D. Gray (-l flag in v.in.shape)

Last changed: $Date: 2002/01/25 05:45:35 $